<style>
body{
	background-color: #41C4DE;
	width: 350px;
	height: 300px;
}

input{
	height: 2.375rem;
    line-height: 2.375rem;
    text-align: center;
	width: 100%;
    color: rgb(51, 51, 51);
    font-size: 1.25rem;
    outline: none;
	font-weight: 700;
    font-family: Montserrat, "Helvetica Neue", Helvetica, Arial, sans-serif;
    background-color: rgb(255, 255, 255);
    border-width: 0.125rem;
    border-style: solid;
    border-color: rgb(204, 204, 204);
    border-image: initial;
    padding: 0.25rem 0.375rem;
    transition: border 0.2s linear 0s, box-shadow 0.2s linear 0s;
	margin: 12px 0;
}

.container{
	margin: 50px 0 0 50px;
	width: 250px;
}

.start-button{
	display: inline-block;
    min-width: 6.25rem;
    max-width: 18.75rem;
    width: 93.34%;
    height: 3.125rem;
    background-color: rgb(51, 51, 51);
    text-shadow: rgba(0, 0, 0, 0.25) 0px -1px 0px;
    color: rgb(255, 255, 255);
    font-weight: 700;
    font-size: 20px;
    font-family: Montserrat, "Helvetica Neue", Helvetica, Arial, sans-serif;
    margin: auto;
    padding: 0.25rem 0.875rem;
    border-width: 0.0625rem;
    border-style: solid;
    border-image: initial;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
    border-radius: 0.125rem;
    text-decoration: none;
    cursor: pointer;
}

.kahoot-btn{
    background-color: transparent;
    
    width: 50%;
    height: 50%;

    background-size: 40px;
    background-repeat: no-repeat;
    background-position: center;
}

.btn-triangle{ background-image: url('assets/geometry/triangle.svg'); background-color: #D01937 }
.btn-rhombus{ background-image: url('assets/geometry/rhombus.svg'); background-color: #1260BE }
.btn-disc{ background-image: url('assets/geometry/disc.svg'); background-color: #C79200 }
.btn-square{ background-image: url('assets/geometry/square.svg'); background-color: #26890C }

*[page]{
    display: none;
}
</style>

<main page="home" class="container">
	<img src="https://upload.wikimedia.org/wikipedia/en/4/4d/Kahoot_Logo.svg">
	<input id="game-pin" style="max-width: 18.75rem" name="nickname" type="text" placeholder="Game PIN" class="input" value="">
	<button id="start-random-game" type="submit" value="Submit" class="start-button">
        Random game!
    </button>
    <button id="start-button" type="submit" value="Submit" class="start-button">
        Cheat mode!
    </button>
    <button id="start-button" type="submit" value="Submit" class="start-button">
        Normal game!
    </button>
</main>

<main page="normal-game">
    <div id="select-answer">
        <button class="kahoot-btn btn-triangle"></button>
        <button class="kahoot-btn btn-rhombus"></button>
        <button class="kahoot-btn btn-disc"></button>
        <button class="kahoot-btn btn-square"></button>
    </div>
</main>

<script src="controllers.js"></script>
